<nz-drawer
  [nzBodyStyle]="{ overflow: 'auto', paddingBottom: '4rem' }"
  [nzMaskClosable]="true"
  [nzWidth]="780"
  [nzVisible]="visible"
  [nzTitle]="excludePair"
  (nzOnClose)="close()"
>
  <nz-spin [nzSpinning]="!market" >
    <div *ngIf="market">


      <div *ngIf="market.exclusion.severityPlus.severity" class="card mb-4" [ngStyle]="{borderColor : colorsv2[market.exclusion.severityPlus.severity]}">
        <div class="card-header" [ngStyle]="{borderColor : colorsv2[market.exclusion.severityPlus.severity]}">

          <h6 [ngStyle]="{color :colorsv2[market.exclusion.severityPlus.severity], display : 'inline-block'}">A été signalée &nbsp;</h6>
          <nz-tag [nzColor]="colorsv2[market.exclusion.severityPlus.severity]">
            <i nz-icon nzType="exclamation-circle"></i>
            <span>{{market.exclusion.severityPlus.description | uppercase}}</span>
          </nz-tag>
          <div class="ml-5 d-inline-block">Par : <strong>{{market.exclusion.excludeBy}}</strong> </div>
          <div class="ml-5 d-inline-block">Le : <strong>{{market.exclusion.date | date}}</strong></div>
        </div>
        <div class="card-body">
          <nz-divider nzText="Raisons : " nzOrientation="left"></nz-divider>
          <ul>
            <li *ngFor="let reason of market.exclusion.reasonsPlus">{{reason.description}}</li>
          </ul>
          <nz-divider nzText="Note : " nzOrientation="left"></nz-divider>
          <p>{{market.exclusion.note}}</p>

        </div>
      </div>

      <div *ngIf="!market.exclusion.severityPlus.severity" class="card mb-4" style="border-color: green">
        <h6 class="card-header" style="color: green; border-color: green">
          A été signalée : <nz-tag nzColor="success"><i nz-icon nzType="check-circle"></i><span>Non </span></nz-tag>
        </h6>
        <div class="card-body">
          <div><nz-empty [nzNotFoundContent]="null"></nz-empty></div>
        </div>
      </div>


      <div class="card mb-4">
        <h6 class="card-header">Infos sur {{market.longName}}: </h6>
        <div class="card-body">
          <ul class="list-group">
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Lien : <a href="{{market.website}}" target="_blank">{{market.website}}</a>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Nombre de paires totales: <strong>{{market.pairsCount}}</strong>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Nombre de paires traitées : <strong>{{market.pairsForThis}}</strong>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Nombre de pair en services : <strong>{{pairsOn}}</strong>
            </li>
<!--            <li class="list-group-item d-flex justify-content-between align-items-center">
              {{market.name}} est le meilleur pour : <button nz-button nzSize="small" nzType="primary">{{market.isBestFor}} paire(s)</button>
            </li>-->
          </ul>
        </div>
      </div>

      <section class="card mb-4">
        <h6 class="card-header">Toutes les paires enregistrées pour {{market.longName}}</h6>
        <div class="card-body">
          <a href="/pairs/{{symbol.pair.name}}" target="_blank" class="d-inline-block mr-2" *ngFor="let symbol of symbols">
            <nz-badge [nzDot]="!!symbol.exclusion.isExclude">
              <nz-tag class="mb-2 mr-0 pair"
                      [nzColor]="colors[
                          symbol.pair.exclusion.severity === 4 ? 4 : 0 ||
                          symbol.exclusion.severity ]"
              >
                {{symbol.pair.name}}

              </nz-tag>
            </nz-badge>
          </a>
          <p style="font-size: 10px">*Dans le cadre d'une paire --> éliminée <-- : Si cette derniere possède un point rouge dans son angle haut-droit,
            cela signifie qu'elle est éliminé du market uniquement! Sans point rouge, c'est la pair entière qui est éliminée.
          </p>

        </div>
      </section>

      <section>
        <div style="min-height: 500px">
          <aside>
            <h5 class="text-center" style="color: #ffb700">PAIRES <nz-tag nzColor="default">Pour {{isfor}} $</nz-tag></h5>
            <br>
            <aside>
              <nz-radio-group class="ml-3 mb-2" (ngModelChange)="makeList($event)" [(ngModel)]="list.sorter" nzName="radiogroup">
                <label nz-radio nzValue="bestMarketFreq">[M] est le Best</label>
                <label nz-radio nzValue="okFreq">R.A.S</label>
                <label nz-radio nzValue="notEnoughVolFreq">no volume</label>
                <label nz-radio nzValue="notDataFreq">Erreur</label>
                <nz-switch nzSize="small" nzCheckedChildren="en services" nzUnCheckedChildren="tous" [(ngModel)]="list.maskOff" (ngModelChange)="makeList()"></nz-switch>
              </nz-radio-group>

              <nz-input-group class="ml-3 mt-2 mb-3" style="width: 15rem" [nzSuffix]="suffixIconSearch">
                <input type="text" nz-input placeholder="Chercher une pair" (ngModelChange)="makeList(undefined,$event)" [(ngModel)]="list.search" />
              </nz-input-group>
              <ng-template #suffixIconSearch><i nz-icon nzType="search"></i></ng-template>
            </aside>

            <div style="width: 90%; margin: auto; padding: 3% 0">
              <app-isfor-slider [showTooltip]="false"> </app-isfor-slider>
            </div>

            <nz-table #pairTable
                      [nzData]="list.data"
                      nzSize="small"
                      [(nzPageSize)]="paginate.pageSize"
                      nzShowSizeChanger
                      [(nzPageIndex)]="paginate.pageIndex"
            >
              <thead >
              <tr>
                <th style="text-align: left">Nom </th>
                <th nz-popover
                    nzPopoverContent="Frequence où {{market.name}} à été le meilleur market pour ses paires">
                  Freq [M]<br> is best
                </th>
                <th >Freq <br> R.A.S </th>
                <th >Freq <br> No vol </th>
                <th >Freq <br> Erreur </th>
                <th >Spread moyen </th>
                <th ><i nz-icon nzType="delete" nzTheme="outline"></i></th>
              </tr>
              </thead>
              <tbody>
              <tr  style="font-weight: 500" [ngClass]="{alertBan : symb.exclusion.isExclude || symb.pair.exclusion.isExclude  }"
                   *ngFor="let symb of pairTable.data; let i = index">
                <td style="text-align: left">
                  <a style="color: black;" target="_blank" href="/pairs/{{symb.pair.name}}">
                    <span class="badge badge-warning">{{i + 1 + paginate.pageSize * (paginate.pageIndex - 1)}}</span>&nbsp;&nbsp;&nbsp;{{ symb.pair.name }}
                  </a>
                </td>
                <td><nz-tag nzColor="blue"><strong>{{ symb.data.bestMarketFreq }}</strong> / {{ symb.data.okFreq +  symb.data.notEnoughVolFreq + symb.data.notDataFreq }}</nz-tag></td>
                <td><nz-tag nzColor="green"><strong>{{ symb.data.okFreq }}</strong> / {{ symb.data.okFreq +  symb.data.notEnoughVolFreq + symb.data.notDataFreq }}</nz-tag></td>
                <td><nz-tag nzColor="default"><strong>{{ symb.data.notEnoughVolFreq }}</strong> / {{ symb.data.okFreq +  symb.data.notEnoughVolFreq + symb.data.notDataFreq }}</nz-tag></td>
                <td><nz-tag nzColor="red"><strong>{{ symb.data.notDataFreq }}</strong> / {{ symb.data.okFreq +  symb.data.notEnoughVolFreq + symb.data.notDataFreq }}</nz-tag></td>
                <td style="font-size: 80%">{{symb.pair.isfor[isfor].spreadMoyen_usd ? ((symb.pair.isfor[isfor].spreadMoyen_usd | exponentiel : 2) + " $") : "pas rentable"  }} </td>
                <td>
                  <app-report-symbols  (afterUpdate)="onUpdate(true)" class="mr-2" *ngIf="market" [symbols]="[symb]" [selectMultiple]="false" >
                    <nz-badge [nzDot]="symb.exclusion.severity > 0"  [nzStyle]="{ backgroundColor: colors[symb.exclusion.severity]}">
                      <button nz-button nzShape="circle" nzSize="small"><i  nz-icon nzType="delete"></i></button>
                    </nz-badge>
                  </app-report-symbols>
                </td>
              </tr>
              </tbody>
            </nz-table>
          </aside>
        </div>
      </section>

    </div>
  </nz-spin>

</nz-drawer>

<!-------Templates----------->
<ng-template #excludePair>
  <div *ngIf="market">
    <a style="color: black;" target="_blank" [href]="market.website" class="mr-3">{{market.longName}} - ({{market.name}})</a>
    <app-report-markets (afterUpdate)="onUpdate(true)" class="mr-2" *ngIf="market" [markets]="[market]" >
      <nz-badge [nzDot]="market.exclusion.severityPlus.severity > 0"  [nzStyle]="{ backgroundColor: colors[market.exclusion.severityPlus.severity]}" >
        <button nz-button nzType="danger" nzShape="circle"><i  nz-icon nzType="delete"></i></button>
      </nz-badge>
    </app-report-markets>
    <nz-tag *ngIf="market.exclusion.isExclude" nzColor="red">éliminé</nz-tag>

    <div (click)="onUpdate()" style="cursor: pointer" class="d-inline-block ml-2" nz-popover nzPopoverContent="rafraichir">
      <i nz-icon nzType="redo" [nzSpin]="loading" style="color: dodgerblue" nzTheme="outline"></i>
    </div>
    <a class="d-inline-block ml-3" target="_blank" [href]="market.website">{{market.website}}</a>
  </div>
</ng-template>
